Subscribe

Unable to upgrade SC3.6 to 4.0 - possible issue with SC agent?

[ Edited ]

Tried upgrading SC3.6 to 4.0 on AIX. Upgrade appears to have failed, and can not run --setup.

Appears to have failed when Updating database schema from 3.6 to 4.0

Now

$ ./snapcreator --setup

ERROR: Detected a Snap Creator agent running on 9090! Please stop agent before running setup

Our web server is running on port 9090, so we'd like to run agent on port 9089, but can't get that far in the setup to configure that.

scserver> java -jar snapcreator.jar -upgrade

Verifying connection to embedded database: 106

Current Snap Creator Version: 4.0

Unexpected version of Snap Creator found.

If you previously upgraded from Snap Creator 3.5 to 3.6 this is a known issue.

Continue if you are sure you are upgrading from Snap Creator 3.6.

Would you like to continue with the upgrade? [y/n]

y

Continuing with upgrade.

Verifying usernames...

Username verification complete.

Converting 3.6 Config Files to 4.0.

Starting conversion ...

[Fri Jun 28 17:00:49 2013] INFO: Password protection in config configs/default/default.conf disabled, skipping!

[Fri Jun 28 17:00:49 2013] INFO: Updating parameter NTAP_USERS passwords for controller myfiler1 config configs/mydb1/mydb1.conf

[Fri Jun 28 17:00:49 2013] INFO: Updating parameter NTAP_USERS passwords for controller myfiler2 config configs/mydb1/mydb1.conf

[Fri Jun 28 17:00:49 2013] INFO: All passwords for config configs/mydb1/mydb1.conf updated successfully

[Fri Jun 28 17:00:49 2013] INFO: Password protection in config configs/por47t/por47t.conf disabled, skipping!

[Fri Jun 28 17:00:49 2013] INFO: Updating parameter NTAP_USERS passwords for controller myfiler1 config configs/mydb2/mydb2.conf

[Fri Jun 28 17:00:49 2013] INFO: Updating parameter NTAP_USERS passwords for controller myfiler2 config configs/mydb2/mydb2.conf

[Fri Jun 28 17:00:49 2013] INFO: All passwords for config configs/mydb2/mydb2.conf updated successfully

[Fri Jun 28 17:00:49 2013] INFO: Updating parameter NTAP_USERS passwords for controller myfiler1 config configs/mydb3/mydb5.conf

[Fri Jun 28 17:00:49 2013] INFO: Updating parameter NTAP_USERS passwords for controller myfiler2 config configs/mydb3/mydb5.conf

[Fri Jun 28 17:00:49 2013] INFO: All passwords for config configs/mydb3/mydb5.conf updated successfully

[Fri Jun 28 17:00:49 2013] INFO: Updating parameter NTAP_USERS passwords for controller myfiler1 config configs/mydb4/mydb5.conf

[Fri Jun 28 17:00:49 2013] INFO: Updating parameter NTAP_USERS passwords for controller myfiler2 config configs/mydb4/mydb5.conf

[Fri Jun 28 17:00:49 2013] INFO: All passwords for config configs/mydb4/mydb5.conf updated successfully

[Fri Jun 28 17:00:49 2013] INFO: Updating parameter NTAP_USERS passwords for controller myfiler1 config configs/mydb5/mydb5.conf

[Fri Jun 28 17:00:49 2013] INFO: Updating parameter NTAP_USERS passwords for controller myfiler2 config configs/mydb5/mydb5.conf

[Fri Jun 28 17:00:49 2013] INFO: All passwords for config configs/mydb5/mydb5.conf updated successfully

null

Finished Conversion of 3.6 Config Files.

Updating database schema from 3.6 to 4.0

java.sql.SQLSyntaxErrorException: TRIGGER 'TASK_STATUSES_TRIGGER' does not exist.

        at org.apache.derby.impl.jdbc.SQLExceptionFactory40.getSQLException(Unknown Source)

        at org.apache.derby.impl.jdbc.Util.generateCsSQLException(Unknown Source)

        at org.apache.derby.impl.jdbc.TransactionResourceImpl.wrapInSQLException(Unknown Source)

        at org.apache.derby.impl.jdbc.TransactionResourceImpl.handleException(Unknown Source)

        at org.apache.derby.impl.jdbc.EmbedConnection.handleException(Unknown Source)

        at org.apache.derby.impl.jdbc.ConnectionChild.handleException(Unknown Source)

        at org.apache.derby.impl.jdbc.EmbedStatement.execute(Unknown Source)

        at org.apache.derby.impl.jdbc.EmbedStatement.execute(Unknown Source)

        at com.netapp.snapcreator.server.db.DerbyEngine.databaseUpdatesFor4_0(DerbyEngine.java:937)

        at com.netapp.snapcreator.server.db.DerbyEngine.upgrade(DerbyEngine.java:732)

        at com.netapp.snapcreator.server.SnapCreatorServer.upgrade(SnapCreatorServer.java:250)

        at com.netapp.snapcreator.server.SnapCreatorServer.main(SnapCreatorServer.java:69)

Caused by: java.sql.SQLException: TRIGGER 'TASK_STATUSES_TRIGGER' does not exist.

        at org.apache.derby.impl.jdbc.SQLExceptionFactory.getSQLException(Unknown Source)

        at org.apache.derby.impl.jdbc.SQLExceptionFactory40.wrapArgsForTransportAcrossDRDA(Unknown Source)

        ... 12 more

Caused by: ERROR 42X94: TRIGGER 'TASK_STATUSES_TRIGGER' does not exist.

        at org.apache.derby.iapi.error.StandardException.newException(Unknown Source)

        at org.apache.derby.impl.sql.compile.DropTriggerNode.bindStatement(Unknown Source)

        at org.apache.derby.impl.sql.GenericStatement.prepMinion(Unknown Source)

        at org.apache.derby.impl.sql.GenericStatement.prepare(Unknown Source)

        at org.apache.derby.impl.sql.conn.GenericLanguageConnectionContext.prepareInternalStatement(Unknown Source)

        ... 6 more

scserver>


$ pwd

/opt/app/netapp/scAgent4.0.0

$ ./snapcreator --setup

ERROR: Detected a Snap Creator agent running on 9090! Please stop agent before running setup

Re: Unable to upgrade SC3.6 to 4.0 - possible issue with SC agent?

Could you please try running scAgent stop (from the snapcreator agent install directory) and retry the install?

Alternatively, you may kill the snapcreator agent process and retry the install.

1) You can supply --start-agent 9089 to start the agent on specific port after the install

Usage: ./snapcreator {--start-agent <port> <Optional Arguments>

Agent specific options

  --start-agent <port>                Start the Snap Creator single-threaded Agent

                                      listening on port <port> or on port 9090, if no port is specified

  --start-multithreaded-agent <port>  Start the Snap Creator multi-threaded Agent

                                      listening on port <port> or on port 9090, if no port is specified

  --setup                             Configures the scAgent

  --version                           Prints Snap Creator version

Optional Arguments

  --verbose                           Prints information to the screen

  --debug                             Prints debug information to the screen and log

2) Also there is a file called agent.port under scAgent4.0.0 install location (same directory as the snapcreator executable binary is), you can edit that file to hardcode the port number as well.

Please let me know if that helps.

Re: Unable to upgrade SC3.6 to 4.0 - possible issue with SC agent?

Hi kevin,

The message clearly says :- Unexpected version of Snap Creator found.

I think you are upgrading the wrong database to 4.0.

Can you please confirm you are upgrading from SC 3.6 to 4.0 or something else ?

Re: Unable to upgrade SC3.6 to 4.0 - possible issue with SC agent?

scserver> java -jar snapcreator.jar -upgrade

Verifying connection to embedded database: 106

Current Snap Creator Version: 4.0

Unexpected version of Snap Creator found.-------------------->Here is the message for wrong database

If you previously upgraded from Snap Creator 3.5 to 3.6 this is a known issue.

Continue if you are sure you are upgrading from Snap Creator 3.6.

Would you like to continue with the upgrade? [y/n]------------------------>>>-Here you selected yes by knowingly.

y

Message was edited by: Harishankar Silla